{
  "name": "@roadtrip/components",
  "version": "3.33.0",
  "description": "Web Component library for Roadtrip Design System",
  "license": "Apache-2.0",
  "homepage": "https://gitlab.com/mobivia-design/roadtrip/components",
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/mobivia-design/roadtrip/components.git"
  },
  "bugs": {
    "url": "https://gitlab.com/mobivia-design/roadtrip/components/-/issues"
  },
  "main": "dist/index.cjs.js",
  "module": "dist/index.js",
  "es2015": "dist/esm/index.js",
  "es2017": "dist/esm/index.js",
  "jsnext:main": "dist/esm/index.js",
  "types": "dist/types/index.d.ts",
  "collection": "dist/collection/collection-manifest.json",
  "collection:main": "dist/collection/index.js",
  "unpkg": "dist/roadtrip/roadtrip.js",
  "files": [
    "dist/",
    "loader/",
    "icons/",
    "illustrations/",
    "assets/",
    "hydrate/"
  ],
  "scripts": {
    "start": "npm-run-all --parallel watch storybook",
    "build": "stencil build --docs",
    "build.files": "node ./scripts/icons.mjs",
    "release": "standard-version",
    "watch": "stencil build --dev --watch",
    "dev": "stencil build --dev",
    "serve": "stencil build --dev --watch --serve",
    "test": "stencil test --e2e --screenshot",
    "test:e2e": "stencil test --e2e --watch",
    "test:watch": "stencil test --e2e --watchAll",
    "generate": "stencil generate",
    "icons": "npm run svgo && node ./scripts/refacto-icon.mjs && node ./scripts/sprite-svg.mjs && node ./scripts/icons.mjs && node ./scripts/optimize-svg.mjs && node ./scripts/refacto-icon.mjs",
    "lint.ts": "eslint src/**/*{.ts,.tsx}",
    "storybook": "storybook dev -p 6006",
    "build-storybook": "storybook build dist/ -o public/",
    "svgo": "svgo --config svgo.config.js -f ./src/components/icon/svg"
  },
  "standard-version": {
    "skip": {
      "bump": true,
      "commit": true,
      "tag": true
    }
  },
  "dependencies": {
    "@types/lodash": "^4.17.6",
    "focus-visible": "^5.2.0",
    "fuse.js": "^6.4.6",
    "google-libphonenumber": "3.2.33",
    "lit": "^3.2.1",
    "lodash": "^4.17.21",
    "svgo": "^2.8.0"
  },
  "devDependencies": {
    "@babel/core": "^7.14.8",
    "@babel/preset-env": "^7.26.9",
    "@chromatic-com/storybook": "^3.2.4",
    "@geometricpanda/storybook-addon-badges": "^2.0.5",
    "@nrk/svg-to-js": "^2.1.3",
    "@stencil/core": "^4.7.2",
    "@stencil/eslint-plugin": "^0.4.0",
    "@stencil/postcss": "^2.0.0",
    "@storybook/addon-a11y": "^8.6.0",
    "@storybook/addon-docs": "^8.6.0",
    "@storybook/addon-essentials": "^8.6.0",
    "@storybook/addon-webpack5-compiler-babel": "^3.0.5",
    "@storybook/theming": "^8.6.0",
    "@storybook/web-components": "^8.6.0",
    "@storybook/web-components-webpack5": "^8.6.0",
    "@types/google-libphonenumber": "^7.4.29",
    "@types/jest": "^26.0.23",
    "autoprefixer": "^10.2.6",
    "babel-loader": "^8.2.2",
    "jest": "^26.6.3",
    "jest-cli": "^26.6.3",
    "lit-html": "^2.0.1",
    "npm-run-all": "^4.1.5",
    "postcss": "^8.3.5",
    "puppeteer": "^10.0.0",
    "react": "^18.2.0",
    "react-dom": "^18.2.0",
    "react-is": "^17.0.2",
    "standard-version": "^9.3.1",
    "storybook": "^8.6.0",
    "storybook-addon-themes": "^6.1.0",
    "stylelint": "^14.0.0",
    "stylelint-config-standard": "^24.0.0",
    "stylelint-order": "^5.0.0",
    "svg-sprite": "^1.5.0",
    "swiper": "^7.0.3"
  },
  "customElements": "custom-elements.json"
}
